* {
    margin: 0;
    padding: 0;
    border: none;
    outline: none;
    box-sizing: border-box;
  }
  
  :root {
    --background-color: #06283d;
    --button-color: #dffeff;
  }
  
  body {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 100vh;
    background: var(--background-color);
  }
  
  .container {
    position: relative;
    width: 400px;
    height: 105px;
    background: #fff;
    padding: 28px 32px;
    overflow: hidden;
    border-radius: 18px;
    box-shadow: rgba(0, 0, 0, 0.7);
    font-family: "Roboto", sans-serif;
    transition: 0.6s ease-in-out;
  }
  
  .search-box {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%;
    height: min-content;
  }
  
  .search-box > input {
    color: var(--background-color);
    width: 80%;
    font-size: 28px;
    font-weight: 500;
    text-transform: capitalize;
    padding-left: 32px;
  }
  
  .search-box input::placeholder {
    font-size: 22px;
    font-weight: 500;
    color: var(---background-color);
    text-transform: capitalize;
  }
  
  .search-box button {
    font-size: 22px;
    cursor: pointer;
    width: 50px;
    height: 50px;
    color: var(---background-color);
    background: var(--button-color);
    border-radius: 50%;
    transition: 0.4s ease;
  }
  
  .search-box button:hover {
    color: #fff;
    background: var(--background-color);
  }
  
  .search-box i {
    position: absolute;
    color: var(--background-color);
    font-size: 28px;
  }
  
  .weather-box {
    text-align: center;
  }
  
  .weather-box img {
    width: 60%;
    margin-top: 30px;
  }
  
  .weather-box .temperature {
    position: relative;
    color: var(--background-color);
    font-size: 4rem;
    margin-top: 30px;
    margin-left: 16px;
  }
  
  .weather-box .temperature span {
    position: absolute;
    margin-left: 4px;
    font-size: 1.4rem;
  }
  
  .weather-box .description {
    color: var(--background-color);
    font-size: 22px;
    font-weight: 500;
  }
  
  .weather-details {
    display: flex;
    justify-content: space-between;
    width: 100%;
    margin-top: 30px;
  }
  
  .weather-details .humidity,
  .weather-details .wind {
    display: flex;
    align-items: center;
    width: 50%;
    height: 100px;
  }
  
  .weather-details .humidity {
    padding-left: 20px;
    justify-content: flex-start;
  }
  
  .weather-details .wind {
    padding-right: 20px;
    justify-content: flex-end;
  }
  
  .weather-details i {
    color: var(--background-color);
    font-size: 26px;
    margin-right: 10px;
    margin-top: 6px;
  }
  
  .weather-details span {
    color: var(--background-color);
    font-size: 22px;
    font-weight: 500;
  }
  
  .weather-details p {
    color: var(--background-color);
    font-size: 14px;
    font-weight: 500;
  }
  
  .not-found {
      width: 100%;
      text-align: center;
      margin-top: 50px;
      scale: 0;
      opacity: 0;
      display: none;
  }
  
  .not-found img {
      width: 70%;
  }
  
  .not-found p {
      color: var(--background-color);
      font-size: 22px;
      font-weight: 500;
      margin-top: 12px;
  }
  
  .weather-box, .weather-details {
      scale: 0;
      opacity: 0;
  }
  
  .fadeIn {
      animation: 0.5 fadeIn forwards;
      animation-delay: 0.5s;
  }
  
  @keyframes fadeIn {
      to{
          scale: 1;
          opacity:1;
}
  }
  